﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using HeuristicLab.Common;
using HeuristicLab.Core;
using HeuristicLab.Problems.DataAnalysis;

namespace HeuristicLab.DatastreamAnalysis {
  public interface IAnalysisBase : IParameterizedNamedItem, INamedItem, IItem, IContent, IDeepCloneable, ICloneable, IParameterizedItem {

    // Ensembles
    void AddEnsemble(IRegressionEnsembleModel ensemble);
    void RemoveEnsemble(IRegressionEnsembleModel ensemble);

    // Events
    event EventHandler ModelsChanged;
  }
}
